Name:           python-traceback2
Version:        1.4.0
Release:        19
Summary:        Backport of the traceback module
License:        Python
URL:            https://github.com/testing-cabal/traceback2
Source0:        https://pypi.python.org/packages/source/t/traceback2/traceback2-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-pbr python2-linecache2 python2-devel
BuildRequires:  python3-pbr python3-devel

%description
A backport of traceback to older supported Pythons.

%package     -n python2-traceback2
Summary:        Backport of the traceback module
Requires:       python2-linecache2
%{?python_provide:%python_provide python2-traceback2}

%description -n python2-traceback2
A backport of traceback to older supported Pythons.

%package     -n python3-traceback2
Summary:        Backport of the traceback module
Requires:       python3-linecache2
%{?python_provide:%python_provide python3-traceback2}

%description -n python3-traceback2
A backport of traceback to older supported Pythons.

%prep
%setup -qc
mv traceback2-%{version} python2
mv python2/traceback2/tests .
cp -a python2 python3

%build
cd python2
%{__python2} setup.py build
cd ../python3
%{__python3} setup.py build
cd ..

%install
# python3 must be install first
cd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
cd ../python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
cd ..

%files -n python2-traceback2
%doc python2/README.rst python2/AUTHORS python2/ChangeLog
%{python2_sitelib}/*

%files -n python3-traceback2
%doc python3/README.rst python3/AUTHORS python3/ChangeLog
%{python3_sitelib}/*

%changelog
* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.4.0-19
- Type:other
- Id:NA
- SUG:NA
- DESC:init package
